Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2019-02202, UID# 2743
App. Status: Expired

Valid: 12/02/2019 - 12/05/2019
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2458 (12/02/2019)

Charge Cost Quantity Total
Non-Taxable
added 12/02/2019 11:22 AM

Fee for over length permit

$30.00 x 1 $30.00
added 12/02/2019 11:15 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 01/27/2020$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantTroy Ohlhausen - 12/02/2019 11:15 AM
ecd4655ac29ddd9765dd513ceff450e9
590d99c6053639f551ba25c276aae03a
 
#1 Permit Issuing OfficialRachel Grimm - 12/02/2019 11:24 AM
04f6af7f9485c0f726aa39db4affd1bb
713fcd6d7995798b07149af21915b64e
 
Permit has been approved. All signatures have been obtained.